GET v1/Contacts/{contactID}/Notes?pageNumber={pageNumber}&pageSize={pageSize}&orderBy={orderBy}&orderDirection={orderDirection}
Get a paged list of notes for a contact
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| contactID |
The ID of the contact whose notes should be retrieved. |
integer |
Required |
| pageNumber |
The 1-based page number to retrieve. Defaults to 1. |
integer |
Default value is 1 |
| pageSize |
The number of records per page. Defaults to 25. |
integer |
Default value is 25 |
| orderBy |
The field to sort results by (e.g. "NoteDate", "CreatedDate"). Defaults to the system default sort order when not provided. |
string |
None. |
| orderDirection |
The sort direction: "asc" for ascending or "desc" for descending. Defaults to ascending when not provided. |
string |
None. |
Body Parameters
None.
Response Information
Resource Description
A paged list of notes for the specified contact.
PageOfOfNoteDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of NoteDTO |
None. |
|
| PageNumber | integer |
None. |
|
| PagesTotal | integer |
None. |
|
| TotalItems | integer |
None. |
|
| IsSuccess | boolean |
None. |
|
| ErrorCode | string |
None. |
|
| ErrorMessage | string |
None. |
|
| DisplayMessage | string |
None. |
|
| Links | Collection of PageLink |
None. |
|
| Href | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"Id": 1,
"Comment": "sample string 2",
"CreatedBy": "sample string 3",
"EmployeeId": 1,
"CreatedOn": "sample string 4",
"ModifiedAt": "sample string 5",
"ModifiedBy": "sample string 6",
"ParentId": 1,
"AssignedPolicyId": 1,
"AssignedContactId": 7,
"Important": true,
"RelatedNotes": [
{
"Id": 1,
"Comment": "sample string 2",
"CreatedBy": "sample string 3",
"EmployeeId": 1,
"CreatedOn": "sample string 4",
"IsPinned": "sample string 5",
"ModifiedAt": "sample string 6",
"ModifiedBy": "sample string 7",
"ParentId": 1,
"AssignedPolicyId": 1,
"AssignedContactId": 8,
"Important": true,
"BulkInsertId": "0233a03b-a228-460b-bf34-50c93b842900",
"BulkInsertSessionId": "de0bc308-579f-4944-bf3f-b44ec7d14eef"
},
{
"Id": 1,
"Comment": "sample string 2",
"CreatedBy": "sample string 3",
"EmployeeId": 1,
"CreatedOn": "sample string 4",
"IsPinned": "sample string 5",
"ModifiedAt": "sample string 6",
"ModifiedBy": "sample string 7",
"ParentId": 1,
"AssignedPolicyId": 1,
"AssignedContactId": 8,
"Important": true,
"BulkInsertId": "0233a03b-a228-460b-bf34-50c93b842900",
"BulkInsertSessionId": "de0bc308-579f-4944-bf3f-b44ec7d14eef"
}
],
"BulkInsertId": "fbf03aaf-ec71-422f-bd82-4a81cd0327ad",
"BulkInsertSessionId": "4437b730-cd3c-4e86-a887-6e9a8b407e67",
"IsPinned": true,
"NotesHistories": [
{
"NoteHistoryId": 1,
"NoteId": 2,
"VersionId": 1,
"NoteText": "sample string 3",
"CreatedBy": "sample string 4",
"CreatedAt": "2026-08-19T11:33:02.1717034+00:00",
"Important": true,
"IsPinned": true
},
{
"NoteHistoryId": 1,
"NoteId": 2,
"VersionId": 1,
"NoteText": "sample string 3",
"CreatedBy": "sample string 4",
"CreatedAt": "2026-08-19T11:33:02.1717034+00:00",
"Important": true,
"IsPinned": true
}
]
},
{
"Id": 1,
"Comment": "sample string 2",
"CreatedBy": "sample string 3",
"EmployeeId": 1,
"CreatedOn": "sample string 4",
"ModifiedAt": "sample string 5",
"ModifiedBy": "sample string 6",
"ParentId": 1,
"AssignedPolicyId": 1,
"AssignedContactId": 7,
"Important": true,
"RelatedNotes": [
{
"Id": 1,
"Comment": "sample string 2",
"CreatedBy": "sample string 3",
"EmployeeId": 1,
"CreatedOn": "sample string 4",
"IsPinned": "sample string 5",
"ModifiedAt": "sample string 6",
"ModifiedBy": "sample string 7",
"ParentId": 1,
"AssignedPolicyId": 1,
"AssignedContactId": 8,
"Important": true,
"BulkInsertId": "0233a03b-a228-460b-bf34-50c93b842900",
"BulkInsertSessionId": "de0bc308-579f-4944-bf3f-b44ec7d14eef"
},
{
"Id": 1,
"Comment": "sample string 2",
"CreatedBy": "sample string 3",
"EmployeeId": 1,
"CreatedOn": "sample string 4",
"IsPinned": "sample string 5",
"ModifiedAt": "sample string 6",
"ModifiedBy": "sample string 7",
"ParentId": 1,
"AssignedPolicyId": 1,
"AssignedContactId": 8,
"Important": true,
"BulkInsertId": "0233a03b-a228-460b-bf34-50c93b842900",
"BulkInsertSessionId": "de0bc308-579f-4944-bf3f-b44ec7d14eef"
}
],
"BulkInsertId": "fbf03aaf-ec71-422f-bd82-4a81cd0327ad",
"BulkInsertSessionId": "4437b730-cd3c-4e86-a887-6e9a8b407e67",
"IsPinned": true,
"NotesHistories": [
{
"NoteHistoryId": 1,
"NoteId": 2,
"VersionId": 1,
"NoteText": "sample string 3",
"CreatedBy": "sample string 4",
"CreatedAt": "2026-08-19T11:33:02.1717034+00:00",
"Important": true,
"IsPinned": true
},
{
"NoteHistoryId": 1,
"NoteId": 2,
"VersionId": 1,
"NoteText": "sample string 3",
"CreatedBy": "sample string 4",
"CreatedAt": "2026-08-19T11:33:02.1717034+00:00",
"Important": true,
"IsPinned": true
}
]
}
],
"PageNumber": 1,
"PagesTotal": 2,
"TotalItems": 3,
"IsSuccess": true,
"ErrorCode": "sample string 5",
"ErrorMessage": "sample string 6",
"DisplayMessage": "sample string 7",
"Links": [
{
"Rel": "sample string 1",
"Href": "sample string 2"
},
{
"Rel": "sample string 1",
"Href": "sample string 2"
}
],
"Href": "sample string 8"
}
application/xml, text/xml
Sample:
<PageOfNoteDTO xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/QQSolutions.NextGen.ModelLibrary.DataTransferObjects">
<Data xmlns:d2p1="http://schemas.datacontract.org/2004/07/QQSolutions.NextGen.ModelLibrary.DataTransferObjects.Contacts">
<d2p1:NoteDTO>
<d2p1:AssignedContactId>7</d2p1:AssignedContactId>
<d2p1:AssignedPolicyId>1</d2p1:AssignedPolicyId>
<d2p1:BulkInsertId>fbf03aaf-ec71-422f-bd82-4a81cd0327ad</d2p1:BulkInsertId>
<d2p1:BulkInsertSessionId>4437b730-cd3c-4e86-a887-6e9a8b407e67</d2p1:BulkInsertSessionId>
<d2p1:Comment>sample string 2</d2p1:Comment>
<d2p1:CreatedBy>sample string 3</d2p1:CreatedBy>
<d2p1:CreatedOn>sample string 4</d2p1:CreatedOn>
<d2p1:EmployeeId>1</d2p1:EmployeeId>
<d2p1:Id>1</d2p1:Id>
<d2p1:Important>true</d2p1:Important>
<d2p1:IsPinned>true</d2p1:IsPinned>
<d2p1:ModifiedAt>sample string 5</d2p1:ModifiedAt>
<d2p1:ModifiedBy>sample string 6</d2p1:ModifiedBy>
<d2p1:NotesHistories>
<d2p1:NotesHistoryDTO>
<d2p1:CreatedAt>2026-08-19T11:33:02.1717034+00:00</d2p1:CreatedAt>
<d2p1:CreatedBy>sample string 4</d2p1:CreatedBy>
<d2p1:Important>true</d2p1:Important>
<d2p1:IsPinned>true</d2p1:IsPinned>
<d2p1:NoteHistoryId>1</d2p1:NoteHistoryId>
<d2p1:NoteId>2</d2p1:NoteId>
<d2p1:NoteText>sample string 3</d2p1:NoteText>
<d2p1:VersionId>1</d2p1:VersionId>
</d2p1:NotesHistoryDTO>
<d2p1:NotesHistoryDTO>
<d2p1:CreatedAt>2026-08-19T11:33:02.1717034+00:00</d2p1:CreatedAt>
<d2p1:CreatedBy>sample string 4</d2p1:CreatedBy>
<d2p1:Important>true</d2p1:Important>
<d2p1:IsPinned>true</d2p1:IsPinned>
<d2p1:NoteHistoryId>1</d2p1:NoteHistoryId>
<d2p1:NoteId>2</d2p1:NoteId>
<d2p1:NoteText>sample string 3</d2p1:NoteText>
<d2p1:VersionId>1</d2p1:VersionId>
</d2p1:NotesHistoryDTO>
</d2p1:NotesHistories>
<d2p1:ParentId>1</d2p1:ParentId>
<d2p1:RelatedNotes>
<d2p1:RelatedNoteDTO>
<d2p1:AssignedContactId>8</d2p1:AssignedContactId>
<d2p1:AssignedPolicyId>1</d2p1:AssignedPolicyId>
<d2p1:BulkInsertId>0233a03b-a228-460b-bf34-50c93b842900</d2p1:BulkInsertId>
<d2p1:BulkInsertSessionId>de0bc308-579f-4944-bf3f-b44ec7d14eef</d2p1:BulkInsertSessionId>
<d2p1:Comment>sample string 2</d2p1:Comment>
<d2p1:CreatedBy>sample string 3</d2p1:CreatedBy>
<d2p1:CreatedOn>sample string 4</d2p1:CreatedOn>
<d2p1:EmployeeId>1</d2p1:EmployeeId>
<d2p1:Id>1</d2p1:Id>
<d2p1:Important>true</d2p1:Important>
<d2p1:IsPinned>sample string 5</d2p1:IsPinned>
<d2p1:ModifiedAt>sample string 6</d2p1:ModifiedAt>
<d2p1:ModifiedBy>sample string 7</d2p1:ModifiedBy>
<d2p1:ParentId>1</d2p1:ParentId>
</d2p1:RelatedNoteDTO>
<d2p1:RelatedNoteDTO>
<d2p1:AssignedContactId>8</d2p1:AssignedContactId>
<d2p1:AssignedPolicyId>1</d2p1:AssignedPolicyId>
<d2p1:BulkInsertId>0233a03b-a228-460b-bf34-50c93b842900</d2p1:BulkInsertId>
<d2p1:BulkInsertSessionId>de0bc308-579f-4944-bf3f-b44ec7d14eef</d2p1:BulkInsertSessionId>
<d2p1:Comment>sample string 2</d2p1:Comment>
<d2p1:CreatedBy>sample string 3</d2p1:CreatedBy>
<d2p1:CreatedOn>sample string 4</d2p1:CreatedOn>
<d2p1:EmployeeId>1</d2p1:EmployeeId>
<d2p1:Id>1</d2p1:Id>
<d2p1:Important>true</d2p1:Important>
<d2p1:IsPinned>sample string 5</d2p1:IsPinned>
<d2p1:ModifiedAt>sample string 6</d2p1:ModifiedAt>
<d2p1:ModifiedBy>sample string 7</d2p1:ModifiedBy>
<d2p1:ParentId>1</d2p1:ParentId>
</d2p1:RelatedNoteDTO>
</d2p1:RelatedNotes>
</d2p1:NoteDTO>
<d2p1:NoteDTO>
<d2p1:AssignedContactId>7</d2p1:AssignedContactId>
<d2p1:AssignedPolicyId>1</d2p1:AssignedPolicyId>
<d2p1:BulkInsertId>fbf03aaf-ec71-422f-bd82-4a81cd0327ad</d2p1:BulkInsertId>
<d2p1:BulkInsertSessionId>4437b730-cd3c-4e86-a887-6e9a8b407e67</d2p1:BulkInsertSessionId>
<d2p1:Comment>sample string 2</d2p1:Comment>
<d2p1:CreatedBy>sample string 3</d2p1:CreatedBy>
<d2p1:CreatedOn>sample string 4</d2p1:CreatedOn>
<d2p1:EmployeeId>1</d2p1:EmployeeId>
<d2p1:Id>1</d2p1:Id>
<d2p1:Important>true</d2p1:Important>
<d2p1:IsPinned>true</d2p1:IsPinned>
<d2p1:ModifiedAt>sample string 5</d2p1:ModifiedAt>
<d2p1:ModifiedBy>sample string 6</d2p1:ModifiedBy>
<d2p1:NotesHistories>
<d2p1:NotesHistoryDTO>
<d2p1:CreatedAt>2026-08-19T11:33:02.1717034+00:00</d2p1:CreatedAt>
<d2p1:CreatedBy>sample string 4</d2p1:CreatedBy>
<d2p1:Important>true</d2p1:Important>
<d2p1:IsPinned>true</d2p1:IsPinned>
<d2p1:NoteHistoryId>1</d2p1:NoteHistoryId>
<d2p1:NoteId>2</d2p1:NoteId>
<d2p1:NoteText>sample string 3</d2p1:NoteText>
<d2p1:VersionId>1</d2p1:VersionId>
</d2p1:NotesHistoryDTO>
<d2p1:NotesHistoryDTO>
<d2p1:CreatedAt>2026-08-19T11:33:02.1717034+00:00</d2p1:CreatedAt>
<d2p1:CreatedBy>sample string 4</d2p1:CreatedBy>
<d2p1:Important>true</d2p1:Important>
<d2p1:IsPinned>true</d2p1:IsPinned>
<d2p1:NoteHistoryId>1</d2p1:NoteHistoryId>
<d2p1:NoteId>2</d2p1:NoteId>
<d2p1:NoteText>sample string 3</d2p1:NoteText>
<d2p1:VersionId>1</d2p1:VersionId>
</d2p1:NotesHistoryDTO>
</d2p1:NotesHistories>
<d2p1:ParentId>1</d2p1:ParentId>
<d2p1:RelatedNotes>
<d2p1:RelatedNoteDTO>
<d2p1:AssignedContactId>8</d2p1:AssignedContactId>
<d2p1:AssignedPolicyId>1</d2p1:AssignedPolicyId>
<d2p1:BulkInsertId>0233a03b-a228-460b-bf34-50c93b842900</d2p1:BulkInsertId>
<d2p1:BulkInsertSessionId>de0bc308-579f-4944-bf3f-b44ec7d14eef</d2p1:BulkInsertSessionId>
<d2p1:Comment>sample string 2</d2p1:Comment>
<d2p1:CreatedBy>sample string 3</d2p1:CreatedBy>
<d2p1:CreatedOn>sample string 4</d2p1:CreatedOn>
<d2p1:EmployeeId>1</d2p1:EmployeeId>
<d2p1:Id>1</d2p1:Id>
<d2p1:Important>true</d2p1:Important>
<d2p1:IsPinned>sample string 5</d2p1:IsPinned>
<d2p1:ModifiedAt>sample string 6</d2p1:ModifiedAt>
<d2p1:ModifiedBy>sample string 7</d2p1:ModifiedBy>
<d2p1:ParentId>1</d2p1:ParentId>
</d2p1:RelatedNoteDTO>
<d2p1:RelatedNoteDTO>
<d2p1:AssignedContactId>8</d2p1:AssignedContactId>
<d2p1:AssignedPolicyId>1</d2p1:AssignedPolicyId>
<d2p1:BulkInsertId>0233a03b-a228-460b-bf34-50c93b842900</d2p1:BulkInsertId>
<d2p1:BulkInsertSessionId>de0bc308-579f-4944-bf3f-b44ec7d14eef</d2p1:BulkInsertSessionId>
<d2p1:Comment>sample string 2</d2p1:Comment>
<d2p1:CreatedBy>sample string 3</d2p1:CreatedBy>
<d2p1:CreatedOn>sample string 4</d2p1:CreatedOn>
<d2p1:EmployeeId>1</d2p1:EmployeeId>
<d2p1:Id>1</d2p1:Id>
<d2p1:Important>true</d2p1:Important>
<d2p1:IsPinned>sample string 5</d2p1:IsPinned>
<d2p1:ModifiedAt>sample string 6</d2p1:ModifiedAt>
<d2p1:ModifiedBy>sample string 7</d2p1:ModifiedBy>
<d2p1:ParentId>1</d2p1:ParentId>
</d2p1:RelatedNoteDTO>
</d2p1:RelatedNotes>
</d2p1:NoteDTO>
</Data>
<DisplayMessage>sample string 7</DisplayMessage>
<ErrorCode>sample string 5</ErrorCode>
<ErrorMessage>sample string 6</ErrorMessage>
<Href>sample string 8</Href>
<IsSuccess>true</IsSuccess>
<Links>
<PageLink>
<Href>sample string 2</Href>
<Rel>sample string 1</Rel>
</PageLink>
<PageLink>
<Href>sample string 2</Href>
<Rel>sample string 1</Rel>
</PageLink>
</Links>
<PageNumber>1</PageNumber>
<PagesTotal>2</PagesTotal>
<TotalItems>3</TotalItems>
</PageOfNoteDTO>